/*------------------------------------------------------------------
[TABLE OF CONTENTS]

=> Color
=> Fonts
=> Custom Grid
=> Global Styles
=> buttons
=> Form Elements
=> Radio Small
=> Checkbox Small
=> Tooltip
=> Modal

-------------------------------------------------------------------*/

/*==========================================================================
=> Color
==========================================================================*/

:root {
    --sidebarWidth: 430px;
}

@blue: #1ABDFC;
@blueDark: #131CA2;
@green: #39E5BE;

/*==========================================================================
=> Fonts
==========================================================================*/
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700;800;900&display=swap');

/*==========================================================================
=> Custom Grid
==========================================================================*/
/* Grid */
.f-row {
    display: flex;
    margin-left: -15px;
    margin-right: -15px;
    flex-wrap: wrap;
}

.f-col {
    padding: 0 15px;
}

.grid(@name; @columns; @index: 1) when (@index =< @columns) {
    .grid(@name; @columns; (@index + 1));

    .@{name}-@{index} .f-col {
        width: (percentage(1 / @index));
    }
}

.grid(f; 10);

/* Width */
.customWidth(@name; @columns; @index: 1; @count: 5) when (@index =< @columns) {
    .customWidth(@name; @columns; (@index + 1); (@count + 5));

    .@{name}@{count} {
        width: (percentage(@count / 100));
        padding-left: 15px;
        padding-right: 15px;
    }
}

.customWidth(w; 20);

.w33 {
    width: 33%;
    padding-left: 15px;
    padding-right: 15px;
}

.w16 {
    width: 16.666666%;
    padding-left: 15px;
    padding-right: 15px;
}

/* Margin */

.customMargin(@name; @columns; @index: 1; @count: 0) when (@index =< @columns) {
    .customMargin(@name; @columns; (@index + 1); (@count + 5));

    .@{name}@{count} {
        margin-bottom:~"@{count}px";
    }
}

.customMargin(mb-; 21);

@media all and (max-width:1440px) {
    .grid(f-1440; 10);
    .customWidth(w-1440-; 20);

    .w-1440-33 {
        width: 33%;
    }

    .w-1440-16 {
        width: 16.666666%;
    }

    .customMargin(mb-1440-; 21);

}

@media all and (max-width:1200px) {
    .grid(f-1200; 10);
    .customWidth(w-1200-; 20);

    .w-1200-33 {
        width: 33%;
    }

    .w-1200-16 {
        width: 16.666666%;
    }

    .customMargin(mb-1200-; 21);
}

@media all and (max-width:990px) {
    .grid(f-990; 10);
    .customWidth(w-990-; 20);

    .w-990-33 {
        width: 33%;
    }

    .w-990-16 {
        width: 16.666666%;
    }

    .customMargin(mb-990-; 21);

    .dn-990 {
        display: none;
    }
}

@media all and (max-width:800px) {
    .customMargin(mb-800-; 21);
}

@media all and (max-width:768px) {
    .grid(f-768; 10);
    .customWidth(w-768-; 20);

    .w-768-33 {
        width: 33%;
    }

    .w-768-16 {
        width: 16.666666%;
    }

    .customMargin(mb-768-; 21);
}

@media all and (max-width:640px) {
    .grid(f-640; 10);
    .customWidth(w-640-; 20);

    .w-640-33 {
        width: 33%;
    }

    .w-640-16 {
        width: 16.666666%;
    }

    .customMargin(mb-640-; 21);
}

@media all and (max-width:480px) {
    .grid(f-480; 10);
    .customWidth(w-480-; 20);

    .w-480-33 {
        width: 33%;
    }

    .w-480-16 {
        width: 16.666666%;
    }

    .customMargin(mb-480-; 21);
}

@media all and (max-width:400px) {
    .grid(f-400; 10);
    .customWidth(w-400-; 20);

    .w-400-33 {
        width: 33%;
    }

    .w-400-16 {
        width: 16.666666%;
    }

    .customMargin(mb-400-; 21);
}

/*==========================================================================
=> Global Styles
========================================================================== */
*,
*:before,
*:after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
main,
nav,
section,
summary {
    display: block;
}

audio,
canvas,
video {
    display: inline-block;
}

audio:not([controls]) {
    display: none;
    height: 0;
}

[hidden] {
    display: none;
}

html {
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    width: 100%;
}

body {
    width: 100%;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}

abbr[title] {
    border-bottom: 1px dotted;
}

b,
strong {
    font-weight: bold;
}

dfn {
    font-style: italic;
}

hr {
    -moz-box-sizing: content-box;
    box-sizing: content-box;
    height: 0;
}

mark {
    background: #ff0;
    color: #000;
}

code,
kbd,
pre,
samp {
    font-family: monospace, serif;
    font-size: 1em;
}

pre {
    white-space: pre-wrap;
}

q {
    quotes: "\201C""\201D""\2018""\2019";
}

small {
    font-size: 80%;
}

sub,
sup {
    font-size: 75%;
    line-height: 0;
    position: relative;
    vertical-align: baseline;
}

sup {
    top: -0.5em;
}

sub {
    bottom: -0.25em;
}

svg:not(:root) {
    overflow: hidden;
}

figure {
    margin: 0;
}

fieldset {
    border: 1px solid #c0c0c0;
    margin: 0 2px;
    padding: 0.35em 0.625em 0.75em;
}

legend {
    border: 0;
    padding: 0;
}

button,
input,
select,
textarea {
    font-family: inherit;
    font-size: 100%;
    margin: 0;
}

button,
input {
    line-height: normal;
}

button,
select {
    text-transform: none;
}

button,
html input[type="button"],
input[type="reset"],
input[type="submit"] {
    -webkit-appearance: button;
    cursor: pointer;
}

button[disabled],
html input[disabled] {
    cursor: default;
}

input[type="checkbox"],
input[type="radio"] {
    box-sizing: border-box;
    padding: 0;
}

input[type="search"] {
    -webkit-appearance: textfield;
    -moz-box-sizing: content-box;
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
}

input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-decoration {
    -webkit-appearance: none;
}

button::-moz-focus-inner,
input::-moz-focus-inner {
    border: 0;
    padding: 0;
}

textarea {
    overflow: auto;
    vertical-align: top;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

input,
button,
select,
textarea {
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
}

button,
input,
select[multiple],
textarea {
    background-image: none;
}

a {
    .anim(0.2s);
    text-decoration: none;

    &:hover {
        text-decoration: none;
    }
}

a:active,
a:hover,
a:focus {
    outline: 0;
    text-decoration: none;
}

img {
    max-width: 100%;
    border: 0;
    vertical-align: middle;
}

img.obj-cover {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

img.obj-contain {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

ul,
ol,
dl {
    -webkit-margin-after: 0;
    -webkit-margin-before: 0;
}

hr {
    margin-top: 20px;
    margin-bottom: 20px;
    border: 0;
    border-top: 1px solid #CFD1D4;
}

/*==========================================================================
=> buttons
========================================================================== */
.button {
    border: none;
    outline: none;
    background: @blue;
    height: 50px;
    display: inline-block;
    line-height: 50px;
    border-radius: 10px;
    padding: 0 50px;
    font-size: 18px;
    color: #ffffff;
    font-weight: 700;
    box-shadow: 10px 10px 30px fade(@blue, 30%);
    .anim();

    &:hover {
        opacity: 0.7;
    }
}


.button.blueDark {
    background: @blueDark;
    box-shadow: 10px 10px 30px fade(@blueDark, 30%);
}

.button:hover {
    color: #fff;
}

.button:hover,
.button:focus,
.button:active {
    text-decoration: none;
    outline: none;
}

.button--block {
    width: 100%;
}


/*==========================================================================
=> Form Elements
========================================================================== */
:root {
    --form-field-height: 50px;
}

.element-section {
    padding: 50px 0;
    border-bottom: 1px solid #ddd;
}

.element-section .ehdn1 {
    margin-bottom: 30px;
}

.element-section .ehdn2 {
    font-size: 20px;
    margin-bottom: 20px;
    margin-top: 30px;
}

.myElem {
    display: block;
    border: 1px solid #ccc;
    padding: 20px;
    text-align: center;
}


.form-group,
.form-textarea-group,
.inpt-date {
    position: relative;
    margin-bottom: 30px;
}

.form-field,
.select2-container--default .select2-selection--single {
    border: 1px solid #cde8f2;
    height: var(--form-field-height);
    border-radius: 6px;
    padding: 0 20px;
    width: 100%;
    z-index: 2;
    position: relative;
    background: transparent;
    color: #000;
    outline: none;
    font-size: 16px;
    font-weight: 600;
    .anim();
}

.select2-container--default .select2-selection--single {
    .select2-selection__rendered {
        color: #000;
        line-height: var(--form-field-height);
        padding: 0;
    }

    .select2-selection__arrow {
        height: var(--form-field-height);
        width: var(--form-field-height);
        background: url(../img/drop-down-arrow.svg) no-repeat center center;
        top: 0;
        right: 0;
        .anim();

        b {
            display: none;
        }
    }
}

.select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow {
    transform: rotate(180deg);
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #131ca2;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
    outline: none;
    border: 1px solid #cde8f2;
}

.select2-results__option {
    font-size: 14px;
    font-weight: 600;
}

.select2-dropdown {
    border: 1px solid #cde8f2;
}

.select2-container--default .select2-selection--single .select2-selection__placeholder {
    color: #757575;
}

.form-group.select2-formgroup.has-error {
    padding-bottom: 35px;

    label.error {
        position: absolute;
        bottom: 0;
    }

    .select2-container--default .select2-selection--single {
        border: 1px solid red;
    }
}


// .form-field.field--not-empty {
//     border: 1px solid #3490CF;
// }

.form-field.error {
    border: 1px solid #ff2323;
}

.has-error .form-field {
    border: 1px solid #ff2323;
}

.form-field~.form-label {
    font-size: 16px;
    color: #CBD0DB;
    position: absolute;
    left: 12px;
    top: 12px;
    padding: 0 8px;
    margin: 0;
    .anim();
}

.form-field:focus~.form-label,
.form-field.field--not-empty~.form-label {
    top: -13px;
    font-size: 14px;
    z-index: 2;
    background: #fff;
}


.form-textarea-group .form-field {
    height: 150px;
    line-height: 1.3;
    padding: 15px 20px;
    resize: none;
}


/* Select */
.select-field {
    background: url('../img/drop-down-arrow.svg') no-repeat ~"calc(100% - 20px)"center;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.select-field option {
    color: #9fa4a9;
}

.select-field option:checked,
.select-field option:hover {
    background: #7cb2f6;
    color: #fff;
}

/* Select end */

/* Placeholder */
input::-webkit-input-placeholder,
input:-ms-input-placeholder,
input::placeholder {
    color: #ccc;
}


label.error {
    font-weight: 400;
    margin: 0;
    margin-top: 5px;
    line-height: 2;
    font-size: 14px;
    color: #f71336;
    position: relative;
}

// .mainForm {
//     .form-field.error {
//         border: 1px solid #fff;
//     }

//     label.error {
//         color: #fff;
//     }
// }

/* Form end */

/*==========================================================================
=> Radio Small
========================================================================== */
.radio-box {
    position: relative;
    display: inline-block;
    margin-right: 20px;
    margin-bottom: 30px;
}

.radio-box input {
    position: absolute;
    width: 0;
    opacity: 0;
}

.radio-box label {
    font-size: 18px;
    color: #1C2D41;
    margin: 0;
    padding: 5px;
    padding-left: 36px;
    cursor: pointer;
    position: relative;
}

.radio-box label:before {
    content: "";
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: transparent;
    border: 1px solid #8392A5;
    display: inline-block;
    position: absolute;
    left: 0;
    top: 5px;
    transition: 0.2s all ease;
    -webkit-transition: 0.2s all ease;
    -moz-transition: 0.2s all ease;
    -ms-transition: 0.2s all ease;
    -o-transition: 0.2s all ease;
}

.radio-box input:checked~label::before {
    border: 7px solid #3490cf;
}


.radio-box label.error {
    display: none !important;
}

.radio-box input.error~label {
    color: #ff2323;
}

.radio-box input.error~label:before {
    border: 1px solid #ff2323;
}

/* Radio Box end */

/*==========================================================================
=> Checkbox Small
========================================================================== */
.checkbox-box {
    position: relative;
    display: inline-block;
    margin-right: 20px;
    margin-bottom: 20px;
}

.checkbox-box input {
    position: absolute;
    width: 0;
    opacity: 0;
}

.checkbox-box label {
    font-size: 16px;
    line-height: 20px;
    margin: 0;
    padding-left: 30px;
    cursor: pointer;
    position: relative;
    color: #000;
}

.checkbox-box label span {
    display: block;
    font-size: 14px;
    color: #8392a5;
}

.checkbox-box label:before {
    content: "";
    width: 20px;
    height: 20px;
    border-radius: 4px;
    background: transparent;
    background-repeat: no-repeat;
    background-position: center center;
    border: 1px solid @green;
    display: inline-block;
    position: absolute;
    left: 0;
    top: 0;
    transition: 0.2s all ease;
    -webkit-transition: 0.2s all ease;
    -moz-transition: 0.2s all ease;
    -ms-transition: 0.2s all ease;
    -o-transition: 0.2s all ease;
    border-radius: 4px;
}

.checkbox-box label:after {
    content: "";
    width: 12px;
    height: 12px;
    background: transparent;
    display: inline-block;
    position: absolute;
    left: 4px;
    top: 4px;
    transition: .2s all ease;
    -webkit-transition: .2s all ease;
    -moz-transition: .2s all ease;
    -ms-transition: .2s all ease;
    -o-transition: .2s all ease;
    border-radius: 2px;
}

.checkbox-box input:checked~label::after {
    background: @green;
}

.checkbox-box label.error {
    display: none !important;
}

.checkbox-box input.error~label {
    color: #ff2323;
}

.checkbox-box input.error~label:before {
    border: 1px solid #ff2323;
}

/* Checkbox end */

/*==========================================================================
=> Tooltip
========================================================================== */
.tooltip-inner {
    padding: 10px 15px;
    font-size: 14px;
    background-color: #1C2D41;
    border-radius: 0;
    max-width: 320px;
    border-radius: 5px;
}

.bs-tooltip-right .arrow::before {
    border-right-color: #1C2D41;
}

.bs-tooltip-left .arrow::before {
    border-left-color: #1C2D41;
}

.bs-tooltip-top .arrow::before {
    border-top-color: #1C2D41;
}

.bs-tooltip-bottom .arrow::before {
    border-bottom-color: #1C2D41;
}


/* Tooltip end */

/* For Firefox */
input[type="number"] {
    -moz-appearance: textfield;
}

/* Webkit browsers like Safari and Chrome */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.req:after {
    content: "*";
    color: #fb6b03;
    margin-left: 5px;
    font-size: 24px;
    line-height: 1;
}

/*==========================================================================
=> Modal
========================================================================== */
.modal-cancel {
    cursor: pointer;
    position: absolute;
    top: 25px;
    right: 30px;
    .anim();
    z-index: 9;
}

.modal-content {
    display: block;
    border: none;
    border-radius: 0;
    padding: 50px;
    box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.1);
}

.window-1440 {
    max-width: 1440px;
    padding: 0 15px;
}

.window-990 {
    max-width: 990px;
    padding: 0 15px;
}

.window-500 {
    max-width: 500px;
    padding: 0 15px;
}

.modalcont {
    margin-bottom: 32px;
    width: ~"calc(100% - 20px)";
}

.modal-backdrop.show {
    opacity: .9;
}

.modal-backdrop {
    background-color: #fff;
}

.modal-title {
    font-size: 30px;
    letter-spacing: 0.04em;
    line-height: 32px;
    margin-bottom: 10px;
    color: #000;
}

.modal-cancel i {
    color: @blue;
    font-size: 18px;
    cursor: pointer;
    display: block;
}

.modal-cancel:hover {
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    transform: rotate(90deg);
}

.swiper-pagination-bullet-active {
    background: #39e5be;
}